{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Edit Employee Details {% endblock title %}

{% block content %}
<div class="column is-one-third is-offset-one-third">
    <div class="section card">
        <h3 class="title is-3 has-text-centered mb-6">Edit user</h3>
        <form action="{% url 'edit_profile' %}" method="POST">
            {% csrf_token%}
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardPersonalFrom|crispy}}
            </div>
            {% if user.is_superuser %}
            <p class="is-size-5 has-text-weight-semibold">Employment Details</p>
            <div class="m m-5">
            {{forms.OnBoardEmployeeDetailsForm|crispy}}
            </div>
            {% endif %}
            <p class="is-size-5 has-text-weight-semibold">Dependent Details</p>
            <div class="m m-5">
            {{forms.OnBoardDependentForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Emergency contact</p>
            <div class="m m-5">
            {{forms.OnBoardEmergencyContactForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardAffiliatedInstitutionForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardEducationDetailsForm|crispy}}
            </div>
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardVisa|crispy}}
            </div>
            <button type="submit" class="button is-link"> Save </button>
        </form>
    </div>
</div>
{% endblock content %}